-- phpMyAdmin SQL Dump
-- version 3.3.9
-- http://www.phpmyadmin.net
--
-- Serveur: localhost
-- Généré le : Mar 14 Août 2012 à 14:02
-- Version du serveur: 5.5.8
-- Version de PHP: 5.3.5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données: `kiosque_qualif`
--

-- --------------------------------------------------------

--
-- Structure de la table `stock_basket`
--

CREATE TABLE IF NOT EXISTS `stock_basket` (
  `id_basket` int(11) NOT NULL DEFAULT '0',
  `id_user` int(11) DEFAULT NULL,
  `validated` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id_basket`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `stock_category`
--

CREATE TABLE IF NOT EXISTS `stock_category` (
  `id_category` int(11) NOT NULL DEFAULT '0',
  `active` tinyint(1) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `parent_id` int(11) DEFAULT NULL,
  `provider_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`id_category`),
  KEY `FK9792900769015ED5` (`provider_id`),
  KEY `FK97929007A735EC89` (`parent_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `stock_category_stock_category`
--

CREATE TABLE IF NOT EXISTS `stock_category_stock_category` (
  `stock_category_id_category` int(11) NOT NULL DEFAULT '0',
  `childrenList_id_category` int(11) NOT NULL DEFAULT '0',
  `childrenList_ORDER` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`stock_category_id_category`,`childrenList_ORDER`),
  UNIQUE KEY `childrenList_id_category` (`childrenList_id_category`),
  KEY `FK39F77F3F9370C723` (`stock_category_id_category`),
  KEY `FK39F77F3F79EE3D39` (`childrenList_id_category`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `stock_category_stock_product`
--

CREATE TABLE IF NOT EXISTS `stock_category_stock_product` (
  `stock_category_id_category` int(11) NOT NULL DEFAULT '0',
  `productSet_id_product` int(11) NOT NULL DEFAULT '0',
  `productSet_ORDER` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`stock_category_id_category`,`productSet_ORDER`),
  UNIQUE KEY `productSet_id_product` (`productSet_id_product`),
  KEY `FKBDC73E8E9370C723` (`stock_category_id_category`),
  KEY `FKBDC73E8E6C22A74B` (`productSet_id_product`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `stock_days`
--

CREATE TABLE IF NOT EXISTS `stock_days` (
  `TicketProduct_id_product` int(11) NOT NULL DEFAULT '0',
  `day` varchar(255) DEFAULT NULL,
  KEY `FK27ABAFE0A025158F` (`TicketProduct_id_product`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `stock_item`
--

CREATE TABLE IF NOT EXISTS `stock_item` (
  `id_item` int(11) NOT NULL DEFAULT '0',
  `id_product` int(11) DEFAULT NULL,
  `price` float DEFAULT NULL,
  `quantity` int(11) DEFAULT NULL,
  `summary` varchar(255) DEFAULT NULL,
  `id_basket` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_item`),
  KEY `FK27AE3A9C4E7BAB0B` (`id_basket`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `stock_product`
--

CREATE TABLE IF NOT EXISTS `stock_product` (
  `id_product` int(11) NOT NULL DEFAULT '0',
  `price` float DEFAULT NULL,
  `stock_quantity` int(11) DEFAULT NULL,
  `category_id_category` int(11) DEFAULT NULL,
  PRIMARY KEY (`id_product`),
  KEY `FK1BA2F4C6FC6A399A` (`category_id_category`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `stock_provider`
--

CREATE TABLE IF NOT EXISTS `stock_provider` (
  `id_provider` int(11) NOT NULL DEFAULT '0',
  `address` varchar(255) DEFAULT NULL,
  `comment` varchar(255) DEFAULT NULL,
  `contactName` varchar(255) DEFAULT NULL,
  `mail` varchar(255) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `phone_number` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id_provider`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `stock_provider_stock_category`
--

CREATE TABLE IF NOT EXISTS `stock_provider_stock_category` (
  `stock_provider_id_provider` int(11) NOT NULL DEFAULT '0',
  `products_id_category` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `products_id_category` (`products_id_category`),
  KEY `FKF592D1EC8CC9E500` (`products_id_category`),
  KEY `FKF592D1ECF087CD7C` (`stock_provider_id_provider`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `stock_sequences`
--

CREATE TABLE IF NOT EXISTS `stock_sequences` (
  `sequence_name` varchar(255) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL DEFAULT '',
  `next_val` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`sequence_name`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `stock_ticket_category`
--

CREATE TABLE IF NOT EXISTS `stock_ticket_category` (
  `booking_mail` varchar(255) DEFAULT NULL,
  `booking_phone` varchar(255) DEFAULT NULL,
  `booking_phone2` varchar(255) DEFAULT NULL,
  `id_category` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_category`),
  KEY `FK82B091A8B2B4AB5B` (`id_category`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Structure de la table `stock_ticket_product`
--

CREATE TABLE IF NOT EXISTS `stock_ticket_product` (
  `date_begin` datetime DEFAULT NULL,
  `date_end` datetime DEFAULT NULL,
  `duration` int(11) DEFAULT NULL,
  `hour` datetime DEFAULT NULL,
  `id_product` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_product`),
  KEY `FKB7DDBB05AF21409F` (`id_product`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



CREATE INDEX FKB7DDBB05AF21409F ON stock_ticket_product (id_product);

ALTER TABLE stock_category ADD CONSTRAINT FK97929007A735EC89 FOREIGN KEY (parent_id) REFERENCES stock_category (id_category);
ALTER TABLE stock_category ADD CONSTRAINT FK9792900769015ED5 FOREIGN KEY (provider_id) REFERENCES stock_provider (id_provider);

ALTER TABLE stock_category_stock_category ADD UNIQUE (childrenList_id_category);
ALTER TABLE stock_category_stock_category ADD CONSTRAINT FK39F77F3F79EE3D39 FOREIGN KEY (childrenList_id_category) REFERENCES stock_category (id_category);
ALTER TABLE stock_category_stock_category ADD CONSTRAINT FK39F77F3F9370C723 FOREIGN KEY (stock_category_id_category) REFERENCES stock_category (id_category);

ALTER TABLE stock_category_stock_product ADD UNIQUE (productSet_id_product);
ALTER TABLE stock_category_stock_product ADD CONSTRAINT FKBDC73E8E6C22A74B FOREIGN KEY (productSet_id_product) REFERENCES stock_product (id_product);
ALTER TABLE stock_category_stock_product ADD CONSTRAINT FKBDC73E8E9370C723 FOREIGN KEY (stock_category_id_category) REFERENCES stock_category (id_category);

ALTER TABLE stock_days ADD CONSTRAINT FK27ABAFE0A025158F FOREIGN KEY (TicketProduct_id_product) REFERENCES stock_ticket_product (id_product);

ALTER TABLE stock_item ADD CONSTRAINT FK27AE3A9C4E7BAB0B FOREIGN KEY (id_basket) REFERENCES stock_basket (id_basket);

ALTER TABLE stock_product ADD CONSTRAINT FK1BA2F4C6FC6A399A FOREIGN KEY (category_id_category) REFERENCES stock_category (id_category);

ALTER TABLE stock_provider_stock_category ADD UNIQUE (products_id_category);
ALTER TABLE stock_provider_stock_category ADD CONSTRAINT FKF592D1ECF087CD7C FOREIGN KEY (stock_provider_id_provider) REFERENCES stock_provider (id_provider);
ALTER TABLE stock_provider_stock_category ADD CONSTRAINT FKF592D1EC8CC9E500 FOREIGN KEY (products_id_category) REFERENCES stock_category (id_category);

ALTER TABLE stock_ticket_category ADD CONSTRAINT FK82B091A8B2B4AB5B FOREIGN KEY (id_category) REFERENCES stock_category (id_category);

ALTER TABLE stock_ticket_product ADD CONSTRAINT FKB7DDBB05AF21409F FOREIGN KEY (id_product) REFERENCES stock_product (id_product);
